Bug 467084 - Unable to browse domain computers
Unable to browse domain computers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 12:32 EDT by Pavel Rosenboim
Modified: 2015-03-03 17:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:34:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gvfsd log (115.05 KB, application/octet-stream)
2008-12-09 08:01 EST, Pavel Rosenboim
no flags Details
smbtree output (1.25 KB, text/plain)
2008-12-09 09:52 EST, Pavel Rosenboim
no flags Details
log for version 1.0.3-4 (18.10 KB, text/plain)
2008-12-17 07:55 EST, Pavel Rosenboim
no flags Details
output of smbclient -N -L 10.177.9.4 (96.24 KB, text/plain)
2008-12-18 03:15 EST, Pavel Rosenboim
no flags Details

  None (edit)
Description Pavel Rosenboim 2008-10-15 12:32:49 EDT
Description of problem:
When browsing windows network in nautilus, it displayes the list of domains and workgroups, but not list of computers in the domain. Instead of asking for credentials, it simply shows empty nautilus window.

Version-Release number of selected component (if applicable):
gvfs-1.0.1-5.fc10.i386

How reproducible:
Always
Comment 1 Bug Zapper 2008-11-25 22:54:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Update System 2008-12-05 10:03:34 EST
gvfs-1.0.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gvfs-1.0.3-2.fc10
Comment 3 Tomáš Bžatek 2008-12-05 10:34:51 EST
Please test the updated packages, read the notes posted in the link above and report any issues.
Comment 4 Fedora Update System 2008-12-06 23:25:35 EST
gvfs-1.0.3-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gvfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10848
Comment 5 Pavel Rosenboim 2008-12-07 02:42:56 EST
Now it is failing in different way: when I double-click on domain, I get a message "Unable to mount location. Failed to retrieve share list from server".
Comment 6 Tomáš Bžatek 2008-12-08 09:44:10 EST
(In reply to comment #5)
> Now it is failing in different way: when I double-click on domain, I get a
> message "Unable to mount location. Failed to retrieve share list from server".
OK, can you please provide the domain controller specification? I.e. what SW is the server running, configuration (security) of the domain, domain name and domain controller (machine) name, etc. I'm trying to find reproducer for this issue; a list of steps on how to set up similar structure would be great. And, if possible, attach a debug log produced by gvfsd as described in the notes of the gvfs update.

It looks like you are required to authenticate first in order to get the list of computers in the domain, which, as I was told, should not be needed.
Comment 7 Pavel Rosenboim 2008-12-09 08:01:30 EST
Created attachment 326299 [details]
gvfsd log

I tried same operation on CentOS 5.2 and there I can list domain computers without authorization. Also, from gvfs log, it looks like it actually gets list of computers, but has some kind of error after that. Anyway, I'm attaching the log.

Concerning server software and configuration, I couldn't find what is domain controller. All I can say, that it is AD and not NT4 domain. Any tips how to get this information are appreciated.
Comment 8 Tomáš Bžatek 2008-12-09 09:33:55 EST
(In reply to comment #7)
> I tried same operation on CentOS 5.2 and there I can list domain computers
> without authorization.
CentOS 5.2 (resp. RHEL 5.2) is gnome-vfs2 based, just like Fedora <= 8.

> Concerning server software and configuration, I couldn't find what is domain
> controller. All I can say, that it is AD and not NT4 domain. Any tips how to
> get this information are appreciated.
You should ask your network administrator, I'm not a windows expert either. What to look for is any special security setting requiring clients to authenticate first for browsing.

Also, can you please post an output of 'smbtree'? I can't see any exact error in the gvfsd log, perhaps you just reached timeout during browsing.
Comment 9 Pavel Rosenboim 2008-12-09 09:52:17 EST
Created attachment 326322 [details]
smbtree output

> CentOS 5.2 (resp. RHEL 5.2) is gnome-vfs2 based, just like Fedora <= 8.
Yes, but it does not require authorization to list domain, so I guess there is no special setting requiring it.
Comment 10 Fedora Update System 2008-12-09 15:41:33 EST
gvfs-1.0.3-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gvfs-1.0.3-3.fc10
Comment 11 Pavel Rosenboim 2008-12-10 02:48:16 EST
still nothing
Comment 12 Fedora Update System 2008-12-11 03:03:23 EST
gvfs-1.0.3-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gvfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11176
Comment 13 Fedora Update System 2008-12-16 12:10:32 EST
gvfs-1.0.3-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gvfs-1.0.3-4.fc10
Comment 14 Pavel Rosenboim 2008-12-17 03:45:21 EST
Still nothing.
Comment 15 Tomáš Bžatek 2008-12-17 07:23:45 EST
I've turned some more debug printouts on by default, can you please grab the output of gvfsd again? This time without setting any env. variables, the samba debug should be set automatically. Hopefully this will show what's really happening there.
Comment 16 Tomáš Bžatek 2008-12-17 07:24:35 EST
Oh, and one important thing - please disable firewall.
Comment 17 Pavel Rosenboim 2008-12-17 07:55:21 EST
Created attachment 327247 [details]
log for version 1.0.3-4

Firewall is disabled.
Comment 18 Tomáš Bžatek 2008-12-17 10:55:09 EST
Thanks.

Ok, I can see that getting list of neighbour computer works but accessing particular domains or computers fails.

### SMB-BROWSE: do_mount - [smb://sdcorp/; 0] dir = (nil), cancelled = 0, errno = [111] 'Connection refused' 

### SMB-BROWSE: do_mount - [smb://MYGROUP/; 0] dir = (nil), cancelled = 0, errno = [111] 'Connection refused' 

1. can you please check you can connect to these machines via smbclient? If MYGROUP is a workgroup containing some computers, smbtree or smbclient would most probably fail as well (as seen in your previous attachments, where MYGROUP nor SDCORP has no children).
2. can you please try resolving the hostname and open that IP address in Nautilus (e.g. smb://10.0.0.2/)? Some people reported issues with hostname resolving (which is weird, it's done by libsmbclient internally and cannot be changed, as it uses broadcasts).

All we can do for now is to display better error message instead of the universal one but that wouldn't solve the issue :-)
Comment 19 Pavel Rosenboim 2008-12-18 03:15:21 EST
Created attachment 327301 [details]
output of smbclient -N -L 10.177.9.4

MYGROUP is a workgroup consisting of only one machine - F10 machine itself. SDCORP is a domain (F10 is not a domain member). 
I did an nslookup on the domain - it resolves to multiple addresses and tried smbclient -N -L address (I tried few addresses, results are the same, see attachment)
Comment 20 Bug Zapper 2009-11-18 03:34:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2009-12-18 01:34:59 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.